scala.tools.nsc.settings.Warnings

# LintWarnings

#### object LintWarnings extends MultiChoiceEnumeration

Source
  Warnings.scala

Linear Supertypes
MultiChoiceEnumeration, Enumeration, Serializable, java.io.Serializable, AnyRef, Any
Content Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. LintWarnings
2. MultiChoiceEnumeration
3. Enumeration
4. Serializable
5. Serializable
6. AnyRef
7. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### case class Choice(name: String, help: String = "", expandsTo: List[Choice] = Nil) extends Val with Product with Serializable

   Definition Classes
     MultiChoiceEnumeration

2. #### class LintWarning extends Choice

3. #### class Val extends Value with Serializable

   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

4. #### abstract class Value extends Ordered[Value] with Serializable

   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

5. #### class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetLike[Value, ValueSet] with Serializable

   Definition Classes
     Enumeration

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val AdaptedArgs: LintWarning

5. #### val ByNameRightAssociative: LintWarning

6. #### val DelayedInitSelect: LintWarning

7. #### val DocDetached: LintWarning

8. #### val Inaccessible: LintWarning

9. #### val InferAny: LintWarning

10. #### def LintWarning(name: String, help: String, yAliased: Boolean = false): LintWarning

11. #### val MissingInterpolator: LintWarning

12. #### val NullaryOverride: LintWarning

13. #### val NullaryUnit: LintWarning

14. #### val OptionImplicit: LintWarning

15. #### val PackageObjectClasses: LintWarning

16. #### val PolyImplicitOverload: LintWarning

17. #### val PrivateShadow: LintWarning

18. #### val TypeParameterShadow: LintWarning

19. #### val UnsoundMatch: LintWarning

20. #### final def Value(i: Int, name: String): Value

    Attributes
      protected
    Definition Classes
      Enumeration

21. #### final def Value(name: String): Value

    Attributes
      protected
    Definition Classes
      Enumeration

22. #### final def Value(i: Int): Value

    Attributes
      protected
    Definition Classes
      Enumeration

23. #### final def Value: Value

    Attributes
      protected
    Definition Classes
      Enumeration

24. #### object ValueSet extends Serializable

    Definition Classes
      Enumeration

25. #### def allLintWarnings: Seq[LintWarning]

26. #### final def apply(x: Int): Value

    Definition Classes
      Enumeration

27. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

28. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

29. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

30. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

31. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

32. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

33. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

34. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

35. #### final def maxId: Int

    Definition Classes
      Enumeration

36. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

37. #### var nextId: Int

    Attributes
      protected
    Definition Classes
      Enumeration

38. #### var nextName: Iterator[String]

    Attributes
      protected
    Definition Classes
      Enumeration

39. #### final def notify(): Unit

    Definition Classes
      AnyRef

40. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

41. #### def readResolve(): AnyRef

    Attributes
      protected
    Definition Classes
      Enumeration

42. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

43. #### def toString(): String

    Definition Classes
      Enumeration → AnyRef → Any

44. #### def values: ValueSet

    Definition Classes
      Enumeration

45. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

46. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

47. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

48. #### final def withName(s: String): Value

    Definition Classes
      Enumeration

### Inherited from MultiChoiceEnumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped